Bug 814173 - [eap6] logging - all operations are failing on 'logging' resource
[eap6] logging - all operations are failing on 'logging' resource
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.4
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: ---
Assigned To: Simeon Pinder
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-04-19 06:33 EDT by Libor Zoubek
Modified: 2015-11-01 19:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:16:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-04-19 06:33:06 EDT
Description of problem: following operations on 'logging' subsystem are failing

 - Set Root Logger
 - Change Root Logger
 - Remove Root Logger


Version-Release number of selected component (if applicable):
Version: 4.4.0-SNAPSHOT
Build Number: a5e442c
EAP6 ER5

How reproducible:always


Steps to Reproduce:
1.import EAP6 in standalone mode
2.navigate to logging EAP6 subsystem, Operations
3.invoke all above operations
  
Actual results: operations are failing

JBAS014739: No handler for change-root-log-level at address [("subsystem" => "logging")]

JBAS014739: No handler for remove-root-logger at address [("subsystem" => "logging")]

JBAS014739: No handler for set-root-logger at address [("subsystem" => "logging")]

Expected results: all operations should succeed


Additional info:
Comment 1 Simeon Pinder 2012-04-20 09:10:53 EDT
I missed a few changes to the root logger during my earlier round of fixes as they added a few more methods specific to the root logger. I'm moving these operations and the config to it's own [Root Logger] node and making the root logger modifiable now.
Comment 2 Simeon Pinder 2012-04-23 09:22:20 EDT
I decided to revert these changes from my previous comment and remove support for all other ROOT logger operations as the resource-configuration section provides better support for all of these operations. 

There were several related commits but available in master builds from 4/23/12. 

Moving this to ON_QA.
Comment 3 Heiko W. Rupp 2013-09-02 03:16:45 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.